Create file upload signed URL
curl --request POST \
--url https://api.tomorro.com/v2/files/upload-url \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"contentType": "application/pdf"
}
'import requests
url = "https://api.tomorro.com/v2/files/upload-url"
payload = { "contentType": "application/pdf" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({contentType: 'application/pdf'})
};
fetch('https://api.tomorro.com/v2/files/upload-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://s3.eu-west-3.amazonaws.com/secured-storage.getleeway",
"key": "signedFiles/550e8400-e29b-41d4-a716-446655440000/files/b3b7bd7b-85f9-49e7-843d-71f656df5ca5"
}Files
Create file upload signed URL
Returns a short-lived pre-signed S3 URL the client must PUT the file body to. Once the upload is complete, pass the returned key to the endpoint that consumes it (e.g. POST /contracts/{id}/versions).
POST
/
files
/
upload-url
Create file upload signed URL
Authorizations
API key for authentication. Get your key at https://app.tomorro.com/settings/integrations?integration=api-key
Body
application/json
MIME content type of the file to upload.
Example:
"application/pdf"
Response
Pre-signed upload URL created successfully
⌘I